import { CollectionSchema, ProductSchema } from '@byondrnd/showroom-schemas';
import { IFilter, IProduct } from '../../EventSystem/EventTypes';
import { Visualizer } from '../../..';
export interface CatalogInfo {
    organization: string;
    catalog: string;
}
export declare class CatalogManager {
    catalog: CollectionSchema.ICatalog;
    collectionMap: Map<string, Array<CollectionSchema.ICollection>>;
    visualizer: Visualizer;
    catalogInfo: CatalogInfo;
    constructor(visualizer: Visualizer);
    init(sceneIndex: string): Promise<void>;
    getCollections(): CollectionSchema.ICollection[];
    GetProduct(productSku: string, application: string): ProductSchema.IProduct;
    GetProductList(application: string, filters?: IFilter[]): IProduct[];
    productMatchFilter(products: ProductSchema.IProduct[], filters: {
        name: string;
        options: string[];
    }[]): ProductSchema.IProduct[];
    getFullProductDetails(productId: string): Promise<any>;
    getCatalogsApplications(): {
        application: string;
        image: string;
    }[];
    getApplicationPreviewImage(application: string): string;
    getFilters(application: string): any[];
    loadCatalogs(): Promise<CollectionSchema.ICatalog>;
    loadCatalogCollections(): Promise<CollectionSchema.ICollection[]>;
    loadCatalogsCollections(): Promise<void>;
}
